<template>
  <div class="template-examine-content">
    <el-form ref="ruleForm" :model="ruleForm" :rules="rules" label-width="150px" label-position="left" class="rule-form">
      <div class="info-title">审批结论</div>
      <el-form-item label="审批结论：" prop="conclusion" style="width: 100%">
        <el-radio-group v-model="ruleForm.conclusion"  :disabled="disabled"  class="form-radio-border">
          <el-radio label="1">通过</el-radio>
          <el-radio label="0">驳回</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item
        label="审批意见："
        style="width: 100%;"
        class="textarea-content"
        prop="comments"
        :rules="[
            { required: ruleForm.conclusion === '0', message: '请输入审批意见', trigger: 'blur' }
        ]"
      >
        <el-input type="textarea" :disabled="disabled" v-model="ruleForm.comments" style="width: 100%;" rows="3" clearable></el-input>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
module.exports = {
  props: {
    disabled: {
      type: Boolean,
      default: false
    },
    deatailsInfo: {
      type: Object,
      default: () => {}
    }
  },
  data() {
    return {
      ruleForm: {
        conclusion: '1',
        comments: ''
      },
      rules: {
        conclusion: [
          { required: true, message: '请选择审批结论', trigger: 'change' },
        ]
      }
    }
  },
  watch: {
    deatailsInfo: {
      handler(newV) {
        const { conclusion, comments } = JSON.parse(JSON.stringify(newV))
        this.ruleForm.conclusion = String(conclusion)
        this.ruleForm.comments = comments
      },
      immediate: true,
      deep: true
    }
  },
  methods: {
    getSubmit() {
      return new Promise((resolve, reject) => {
        this.$refs.ruleForm.validate(valid => {
          if(valid) {
            resolve(this.ruleForm)
          }else {
            reject()
          }
        })
      })
    }
  },
}
</script>

<style scoped>

</style>
